Skip to main content
POST
/
v2
/
transfers
/
enrichment
/
categories
Create or update a transfer category
curl --request POST \
  --url https://api.range.org/v2/transfers/enrichment/categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transferId": "<string>"
}
'
{
  "workspaceId": "<string>",
  "transferId": "<string>",
  "category": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Body

application/json
transferId
string
required
category
enum<string>
required
Available options:
Transfer,
Revenue,
Payroll,
Contract Services,
Software & Subscriptions,
Legal & Professional Services,
Taxes,
Bank Fees,
Payment Processing Fees,
Interest Earned,
Marketing & Advertising,
Travel & Transportation,
Rent & Utilities,
Insurance,
Gas Fees,
Staking Rewards,
Bridge Transfer,
DeFi Yield

Response

200 - application/json
workspaceId
string
required
transferId
string
required
category
string
required
createdAt
string
required
Last modified on June 16, 2026